
========== Ventoy2Disk.sh ===============

sudo sh Ventoy2Disk.sh { -i | -I | -u } /dev/sdX   sdX is the USB device, for example /dev/sdb.

Ventoy2Disk.sh CMD [ OPTION ] /dev/sdX
  CMD:
    -i   install ventoy to sdX (fail if disk already installed with ventoy)
    -I   force install ventoy to sdX (no matter installed or not)
    -u   update ventoy in sdX
    
  OPTION: (optional)
   -r SIZE_MB  preserve some space at the bottom of the disk (only for install)
   -s          enable secure boot support (default is disabled)
   -g          use GPT partition style, default is MBR style (only for install)

Please refer https://www.ventoy.net/en/doc_start.html for details.   


========== VentoyWeb.sh ===============
1. sudo sh VentoyWeb.sh 
2. open your browser and visit http://127.0.0.1:24680


========== VentoyPlugson.sh ===============
1. sudo sh VentoyPlugson.sh 
2. open your browser and visit http://127.0.0.1:24681

========== VentoyVlnk.sh ===============
Usage:  sudo sh VentoyVlnk.sh CMD FILE
  CMD:
   -c FILE      create vlnk for FILE
   -l VLNK      parse vlnk file
   -v           print verbose info
   -h           print this help


========= VentoyGUI ===================
VentoyGUI is native GUI program for Linux (GTK/QT)
1. Just double-click the file (e.g. VentoyGUI.x86_64)
2. If it can not startup after double-click, you can open the terminal and just execute the file (e.g.  ./VentoyGUI.x86_64)


========== CreatePersistentImg.sh ===============

sudo sh CreatePersistentImg.sh  [ -s SIZE_IN_MB ] [ -t FSTYPE ] [ -l LABEL ]   for example:

sh CreatePersistentImg.sh                 ---->  persistence.dat in 1GB size and ext4 filesystem and casper-rw label
sh CreatePersistentImg.sh -l MX-Persist   ---->  persistence.dat in 1GB size and ext4 filesystem and MX-Persist label
sh CreatePersistentImg.sh -s 2048         ---->  persistence.dat in 2GB size and ext4 filesystem and casper-rw label
sh CreatePersistentImg.sh -s 4096 -t xfs  ---->  persistence.dat in 4GB size and xfs  filesystem  (ext2/3/4 xfs are supported)  and casper-rw label

Please refer https://www.ventoy.net/en/plugin_persistence.html for details.



========== ExtendPersistentImg.sh ===============
sudo sh ExtendPersistentImg.sh  file size   
For example:
sh ExtendPersistentImg.sh persistence.dat 2048  ---->  Extend persistence.dat by 2048MB
That is to say, persistence.dat file will grow to 3GB size (assume that it is 1GB size before extend)

Please refer https://www.ventoy.net/en/plugin_persistence.html for details.


